<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Alert Demo</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console">
    </div>
    <script>
        var $console = $('#console');
        gMag = "OwO Gobal";
        var vMsg = "OwO Ver";
        let lMsg = "OwO Let";
        const cMsg = "OwO Const";

        var initPageView = function() {
//            letVaribleTest();
            varVaribleTest();
        }

        // let 作用於 區塊內
        var letVaribleTest = function() {
            if (true) {
                let msg = "OwO";
                console.log(msg);
            }
            //msg is not defined
            console.log(msg);
        }
        
        
        // var 作用於 函式內
        var varVaribleTest = function() {
            if (true) {
                var msg = "OwO";
                console.log(msg);
            }
            //msg is not defined
            console.log(msg);
        }

        var showGobal = function() {
            $console.html('gMag = ' + gMag + '<br>');
            $console.append('vMsg = ' + vMsg + '<br>');
            $console.append('lMsg = ' + lMsg + '<br>');
            $console.append('cMsg = ' + cMsg);
        }
        initPageView();

    </script>
</body>

</html>
